Bug 1008232 - RFE: Enable nested sections inside a custom feedback topic
RFE: Enable nested sections inside a custom feedback topic
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: CCMS-Core (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-15 15:40 EDT by Petr Penicka
Modified: 2016-06-17 17:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Penicka 2013-09-15 15:40:00 EDT
As discussed previously on IRC.

It is currently not possible to include nested <section> elements inside one topic. It is therefore not possible to replicate the exact appearance of the default "Getting Help and Giving Feedback" section with its two sub-sections.

Instead, the sub-section headings need to be created using <formalpara> elements, which subsequently do not create an entry in the TOC. For example, see the custom feedback topic 22356 in content spec 22344.

It would be useful to allow nested sections in this case to get the TOC entries as follows:

2. Getting Help and Giving Feedback
    2.1. Do You Need Help?
    2.2. Give us Feedback
Comment 1 Lee Newson 2013-09-15 22:38:36 EDT
Resetting this back to the default assignee as it'll need to be discussed and approved.
Comment 2 Lee Newson 2013-09-16 03:45:25 EDT
Just adding some additional information to this. You can currently used nested sections and it will build fine when you go to do the final publish, however it will contain validation errors during development because of the editor links that are injected.
Comment 3 Misty Stanley-Jones 2013-09-25 22:21:00 EDT
Could we instead allow for a content spec inclusion that replicates this?

Section: Feedback [topic with the main feedback content]
  Section: Do You Need Help?
  Section: Give Us Feedback
Comment 4 Lee Newson 2013-09-25 22:28:17 EDT
Yeah we could do something like that but you'd have to break the XML in that original feedback topic into its <section>'s. In that case I imagine this would be better:

Feedback: Getting Help and Giving Feedback
  Do You Need Help? [<ID>]
  Give Us Feedback [<ID>]

Though we originally didn't do that because then you'd have to place it in the spec structure and we'd have to set validation rules so only one "Feedback" chapter could exist and it would have to be first. This was deemed too much of an annoyance and is the reason it was placed in the metadata section instead (jwulf and mcaspers would be the ones to talk about that choice more).

Note You need to log in before you can comment on or make changes to this bug.